Errors with RDkit and Vernalis after latest updates

#1

Getting these errors after applying updates. Is there a supported way to roll back?

ERROR RDKitTypesPluginActivator Could not load native RDKit library: C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator Loading of library boost_iostreams-vc140-mt-x64-1_67.dll failed: C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator The library boost_iostreams-vc140-mt-x64-1_67.dll is missing.
ERROR RDKitTypesPluginActivator Loading of library GraphMolWrap.dll failed (possibly a subsequent error): C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\GraphMolWrap.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator The library GraphMolWrap.dll is missing.
ERROR RDKitTypesPluginActivator Suggestion for fix: Please install the VS2017 Redistributables from https://go.microsoft.com/fwlink/?LinkId=746572 and then restart KNIME.
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory The corresponding plugin bundle could not be activated!

0 Likes

RDKit library dependencies missing
Update to v1.20.4
#2

I’m guessing this is some sort of breakage in your RDKit installation (The Vernalis classes listed there all have a dependency on RDKit).

It looks from your file paths that you have the same version of RDKit installed as I have here on my desktop PC - could you confirm the versions of Vernalis and RDKit plugins installed, and also your OS?

Also, when did you last update? Both Vernalis and RDKit underwent during last week in readiness for KNIME 4.0 release later this week.

I’m going to tag @greglandrum and @manuelschwarze here to see if they can offer any help from the RDKit side.

Steve

0 Likes

#3

Yeah, I broke something with that update. Manuel and I are looking into it and hope to have a fix soon.
Sorry about that.

2 Likes

#4

Thank you. Waiting for the fix.

0 Likes

#5

@acommons and @izaychik63, I know it’s not ideal, but a temporary solution that worked for me was to downgrade to KNIME 3.6.2 and reinstall the RDKit extensions.

You can download previous versions here: https://www.knime.com/download-previous-versions

Also, If you grab the “self extracting archive” download for 3.6.2 and open up the application via the ‘.exe’ file, you’ll be able to keep it self contained for the time you are using it, so you don’t have to worry about removing your current KNIME installation. You may want to create a new workspace directory, however (I’m not sure if that really matters, but better to err on the safe side).

Hope that helps in the meantime.

(Ref.: RDKit library dependencies missing)

0 Likes

#6

Thank you, piehl1. In my case this is not working as of company policy prevents executing applications were not been installed by Administrator.

0 Likes

#7

We deployed v3.8.0 of the RDKit extensions yesterday (they are available in the nightly builds and as a release build for KNIME 4.0). I believe that these should solve the problems.

Please give it a try and let me know.
-greg

2 Likes

#8

Assuming that update fixes, could you also transfer to the 3.7 stable build?

Steve

1 Like

#9

v3.8 of the RDKit nodes should already be available on the stable build for KNIME v3.7. The build was done on 28 June and shows up for me when I look for updates.

Let me know if it’s not there for you.
-greg

0 Likes

#10

Ah, yes it is there now when I update manually. Seems that another plugin was blocking updating all installed plugins in KNIME 3.7.

Thanks!

Steve

0 Likes

#11

So I’m getting this error too. I don’t understand the implications of RDKit 3.8 nodes and what the effect is on Vernalis.

I’m running Knime 3.7,2 at the moment and prefer to stay at this level for a while.

The dialog above lost me after “Getting these errors…”.

0 Likes

#12

If you update RDKit to the latest version, that should fix the problem. The RDKit problem causes a problem for the Vernalis nodes, because some of the Vernalis nodes use the RDKit toolkit, and if that is not present or broken, then those nodes also become broken.

Steve

0 Likes

#13

Thanks for the reply Steve, however I must plead ignorance. I am not aware of the RDKit, where to source it or how to update it.

Let alone the implications there of.

0 Likes

#14

@Tim_Napier RDkit is a Community extension and installed the same way as any other extension.

0 Likes

#15

If you have the Vernalis extension installed, then you almost certainly have the RDKit extension already installed too. The easiest way to check is if you type ‘rdkit’ in the Node Repository search box - you should then see something like this:

image

Assuming that you have got it, then Choosing ‘Update KNIME’ from the file menu should get you to the latest version. You can check what version of RDKit and Vernalis nodes you have by browsing to your KNIME installation folder, and then looking in the plugins folder. You should see something like this for the Vernalis nodes:

image

The bit that matters of the version string is the bit highlighted - in this case, 1.20.3. Similarly for RDKit:

image

In this case, I have version 3.8.0 installed (and also, for reasons which I’ve never figured, but this seems to happen sometimes and it doesnt seem to cause any problems, bits of version 3.7.0 also installed)

RDKit provides a chemical toolkit (i.e. ‘chemical awareness’) to KNIME. You can read more about it here and here. Some of the Vernalis nodes use that functionality (mainly the ones in the Matched Molecular Pairs (MMP) folder in the node repository) to do their stuff.

Hope that helps?

Steve

0 Likes

#16

It certainly does Steve thankyou. Interestingly I only have the Vernais nodes installed, not RDKit. However the folders for 3.7 of RDKit are in my plug-ins folder so go figure. I’m thinking the easiest way is just install the RDKit nodes and pick up 3.8 that way.

I do appreciate your patience, thank you

1 Like

#17

Thankyou acommons

0 Likes

#18

No problem. Actually, I guess what might happen is that the Vernalis nodes only need the RDKit ‘types’ and ‘bin’ plugins, and not the actual RDKit nodes, which probably explains why you have some but not all of the RDKit parts (I think if you install the RDkit nodes, you should see an RDkit ‘nodes’ plugin and possibly ‘wizards’ folder also appear in your KNIME plugins folder)

Steve

0 Likes

#19

Hello,

I have a similar problem which might be related to this. I use KNIME 3.7.2 (and tried KNIME 3.7.1 aswell) and want to use the Chemical Identifier Resolver node https://nodepit.com/node/com.alvascience.cir.CIRNodeFactory

I recieve the following error message:


*** Welcome to KNIME Analytics Platform v3.7.2.v201904170949 ***
*** Copyright by KNIME AG, Zurich, Switzerland ***


Log file is located at: XXXX\KNIME Version 3.7.2 Workspace.metadata\knime\knime.log
ERROR RDKitTypesPluginActivator Could not load native RDKit library: C:\KNIME 3.7.2\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator Loading of library boost_iostreams-vc140-mt-x64-1_67.dll failed: C:\KNIME 3.7.2\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator The library boost_iostreams-vc140-mt-x64-1_67.dll is missing.
ERROR RDKitTypesPluginActivator Loading of library GraphMolWrap.dll failed (possibly a subsequent error): C:\KNIME 3.7.2\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\GraphMolWrap.dll: Can’t find dependent libraries
ERROR RDKitTypesPluginActivator The library GraphMolWrap.dll is missing.
ERROR RDKitTypesPluginActivator Suggestion for fix: Please install the VS2017 Redistributables from https://go.microsoft.com/fwlink/?LinkId=746572 and then restart KNIME.
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory The corresponding plugin bundle could not be activated!
ERROR CIR 0:2 error during interpretation of 3-Oxazolidinyloxy, 2-(3-carboxypropyl)-4,4-dimethyl-2-tridecyl-, ammonium sal… as https://cactus.nci.nih.gov/chemical/structure/3-Oxazolidinyloxy,%202-(3-carboxypropyl)-4,4-dimethyl-2-tridecyl-,%20ammonium%20sal.../cas#: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
ERROR CIR 0:2 error during interpretation of Boron, difluoro[(1S)-1-(hydroxymethyl)-2-[(1-oxohexadecyl)oxy]ethyl .lambda.-… as https://cactus.nci.nih.gov/chemical/structure/Boron,%20difluoro[(1S)-1-(hydroxymethyl)-2-[(1-oxohexadecyl)oxy]ethyl%20.lambda.-.../cas#: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
ERROR CIR 0:2 error during interpretation of Poly(oxy-1,2-ethanediyl), .alpha.-[(9R)-6-hydroxy-6-oxido-1,12-dioxo-9-[(1-ox… as https://cactus.nci.nih.gov/chemical/structure/Poly(oxy-1,2-ethanediyl),%20.alpha.-[(9R)-6-hydroxy-6-oxido-1,12-dioxo-9-[(1-ox…/cas#: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

0 Likes

#20

Hi Alkaline

Installing the RDKit extension got rid of the error messages that reference RDKit for me.

1 Like